Module javafx.base
Package javafx.beans.property

## Class SimpleSetProperty<E>

- java.lang.Object
- - javafx.beans.binding.SetExpression<E>
  - - javafx.beans.property.ReadOnlySetProperty<E>
    - - javafx.beans.property.SetProperty<E>
      - - javafx.beans.property.SetPropertyBase<E>
        - - javafx.beans.property.SimpleSetProperty<E>

- Type Parameters:
    `E` - the type of the `Set` elements
  All Implemented Interfaces:
    `Iterable<E>`, `Collection<E>`, `Set<E>`, `Observable`, `Property<ObservableSet<E>>`, `ReadOnlyProperty<ObservableSet<E>>`, `ObservableObjectValue<ObservableSet<E>>`, `ObservableSetValue<E>`, `ObservableValue<ObservableSet<E>>`, `WritableObjectValue<ObservableSet<E>>`, `WritableSetValue<E>`, `WritableValue<ObservableSet<E>>`, `ObservableSet<E>`
  Direct Known Subclasses:
    `ReadOnlySetWrapper`

      public class SimpleSetProperty<E>
      extends SetPropertyBase<E>

  This class provides a full implementation of a `Property` wrapping an `ObservableSet`.
  Since:
    JavaFX 2.1
  See Also:
    `SetPropertyBase`

- - ### Property Summary

    - ### Properties inherited from class javafx.beans.property.SetPropertyBase

      `empty, size`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleSetProperty()` | The constructor of `SimpleSetProperty`
    `SimpleSetProperty​(Object bean, String name)` | The constructor of `SimpleSetProperty`
    `SimpleSetProperty​(Object bean, String name, ObservableSet<E> initialValue)` | The constructor of `SimpleSetProperty`
    `SimpleSetProperty​(ObservableSet<E> initialValue)` | The constructor of `SimpleSetProperty`

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getBean()` | Returns the `Object` that contains this property.
    `String` | `getName()` | Returns the name of this property.

    - ### Methods inherited from class javafx.beans.property.SetPropertyBase

      `addListener, addListener, addListener, bind, emptyProperty, fireValueChangedEvent, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, removeListener, set, sizeProperty, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.SetProperty

      `bindBidirectional, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlySetProperty

      `bindContent, bindContentBidirectional, equals, hashCode, unbindContent, unbindContentBidirectional`

    - ### Methods inherited from class javafx.beans.binding.SetExpression

      `add, addAll, asString, clear, contains, containsAll, getSize, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, iterator, remove, removeAll, retainAll, setExpression, size, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleSetProperty

          public SimpleSetProperty()

      The constructor of `SimpleSetProperty`

    - #### SimpleSetProperty

          public SimpleSetProperty​(ObservableSet<E> initialValue)

      The constructor of `SimpleSetProperty`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### SimpleSetProperty

          public SimpleSetProperty​(Object bean,
                                   String name)

      The constructor of `SimpleSetProperty`
      Parameters:
        `bean` - the bean of this `SetProperty`
        `name` - the name of this `SetProperty`

    - #### SimpleSetProperty

          public SimpleSetProperty​(Object bean,
                                   String name,
                                   ObservableSet<E> initialValue)

      The constructor of `SimpleSetProperty`
      Parameters:
        `bean` - the bean of this `SetProperty`
        `name` - the name of this `SetProperty`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getBean

          public Object getBean()

      Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
      Returns:
        the containing `Object` or `null`

    - #### getName

          public String getName()

      Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
      Returns:
        the name or an empty `String`